QGIS Application - Bug report #8326
MSSQL Import doesn’'t set SRID recognizable to ArcGIS
2013-07-19 09:42 AM - Matthew Baker

Status: Closed

Priority: Normal

Assignee: Tamas Szekeres

Category: Data Provider/MSSQL

Affected QGIS version:1.8.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 17117
Description

This issue only affects a table imported through a QGIS SQL Server connection that is consumed in ArcMap v10.x

The issue is that ArcGIS doesn't understand the spatial reference of the table imported through QGIS, though the SRID is recognized just
fine in QGIS.

The error in ArcMap is: "Unknown Spatial Reference - the following data sources you added are missing spatial reference information.
This data can be drawn in ArcMap, but cannot be projected".

QGIS is a valuable editing tool for our workflow, but we need to support ArcGIS users.

If this bug was addressed, it would be the superior data loading tool for SQL Server 2012.

History

#1 - 2013-07-19 09:49 AM - Matthew Baker

Note this loading data is done by 'drag and drop' into the MSSQL Database.

#2 - 2013-07-19 01:00 PM - Matthew Baker

Just noticed that this is also an issue in QGIS - when they layer is dragged to the map canvas, QGIS will ask for the SRID.

#3 - 2013-08-03 08:45 PM - Nathan Woodrow

Do you have a spatial_ref_sys table in your database. The MS SQL provider will look in there for projections.

#4 - 2014-02-07 05:54 AM - Giovanni Manghi
- Priority changed from Normal to High

#5 - 2014-10-30 11:56 AM - Giovanni Manghi

- Status changed from Open to Closed

- Priority changed from High to Normal

- Crashes QGIS or corrupts data changed from Yes to No

#6 - 2014-10-30 11:56 AM - Giovanni Manghi

- Resolution set to invalid
closing for lack of feedback.
